//此乃本模块与后台交互的方法接口部分
var jwAppPushDataModule = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
jwAppPushDataModule.prototype = BusinessObject;

//插入推送数据
jwAppPushDataModule.prototype.insertPushData = function(){};
//修改推送数据
jwAppPushDataModule.prototype.updatePushData = function(){};
//删除推送数据
jwAppPushDataModule.prototype.deletePushData = function(){};
//推送操作
jwAppPushDataModule.prototype.PushData = function(){};

//查询_分页
jwAppPushDataModule.prototype.listPushData = function(){};

//查询所有
jwAppPushDataModule.prototype.listAllPushData = function(){};


//插入推送数据对应应用
jwAppPushDataModule.prototype.insertPushApp = function(){};
//修改推送数据对应应用
jwAppPushDataModule.prototype.updatePushApp = function(){};
//删除推送数据对应应用
jwAppPushDataModule.prototype.deletePushApp = function(){};
jwAppPushDataModule.prototype.deletePushApp_map = function(){};


//查询_分页
jwAppPushDataModule.prototype.listPushApp = function(){};

//查询所有
jwAppPushDataModule.prototype.listAllPushApp  = function(){};

jwAppPushDataModule.prototype.listPushAppAll = function(){};

//推送人员
jwAppPushDataModule.prototype.listPushDataUser = function(){};

//推送部门
jwAppPushDataModule.prototype.listPushDataUnit = function(){};
//选择推送
jwAppPushDataModule.prototype.insertOrUpdatePushApp = function(){};
//推送人员显示
jwAppPushDataModule.prototype.listPushAppUser = function(){};
//推送部门显示
jwAppPushDataModule.prototype.listPushAppUnit = function(){};

//创建一个数据操作对象，然后再后续使用
jwAppPushDataModule.jwAppsPushDataActAction = new jwAppPushDataModule("json").delegate("jwAppsPushDataAct");
//创建一个数据获取对象，然后再后续使用
jwAppPushDataModule.jwAppsPushDataDataAction = new jwAppPushDataModule("json").delegate("jwAppsPushDataData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
